// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "game/Game.hpp"
#include "scene/Scene.hpp"

namespace Dawn {
  class GameInit {
    public:
      static std::function<void(Scene&)> getInitialScene();
  };
}