// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SaveManager.hpp"
#include "assert/assert.hpp"

using namespace Dawn;

void SaveManager::init(std::shared_ptr<Game> game) {
  assertNotNull(game, "Game instance cannot be null!");
  this->game = game;
}